package org.eclipse.jdt.core;

import java.io.IOException;
import org.apache.tools.ant.BuildException;
import org.eclipse.jdt.internal.antadapter.AntAdapterMessages;
import org.eclipse.jdt.core.index.JavaIndexer;
import org.apache.tools.ant.Task;

public class BuildJarIndex extends Task
{
    private String jarPath;
    private String indexPath;
    
    public BuildJarIndex() {
    }
    
    public void execute() throws BuildException {
        if (this.jarPath == null) {
            throw new BuildException(AntAdapterMessages.getString("buildJarIndex.jarFile.cannot.be.null"));
        }
        if (this.indexPath == null) {
            throw new BuildException(AntAdapterMessages.getString("buildJarIndex.indexFile.cannot.be.null"));
        }
        try {
            JavaIndexer.generateIndexForJar(this.jarPath, this.indexPath);
        }
        catch (IOException e) {
            throw new BuildException(AntAdapterMessages.getString("buildJarIndex.ioexception.occured", e.getLocalizedMessage()));
        }
        return;
    }
    
    public void setJarPath(String path) {
        this.jarPath = path;
    }
    
    public void setIndexPath(String path) {
        this.indexPath = path;
    }
}
